module.exports = {
    "env": {
        "browser": true,
        "es2021": true
    },
    "extends": [
        "eslint:recommended",
        "airbnb",
        "plugin:react/recommended",
        "prettier",
    ],
    "parser": "babel-eslint",
    "parserOptions": {
        "ecmaFeatures": {
            "jsx": true
        },
        "ecmaVersion": 12,
        "sourceType": "module"
    },
    "plugins": [
        "react",
        "prettier"
    ],
    "rules": {
        "prettier/prettier": "error",
        "react/jsx-filename-extension": ["error", { extensions: [".js", ".jsx"] }],
        "import/prefer-default-export": "off",
        "no-unused-vars": ["error", { argsIgnorePattern: "^_" }],
        "react/jsx-one-expression-per-line": "off",
        "global-require": "off",
        "react-native/no-raw-text": "off",
        "no-param-reassign": "off",
        "no-underscore-dangle": "off",
        "camelcase": "off",
        "react/jsx-props-no-spreading": "off"
    },
    "settings": {
        "import/resolver": {
            "babel-plugin-root-import": {
                rootPathSuffix: "src"
            }
        }
    }
};
